import request from '@/utils/httpRequest'

export default class RankSequenceService {
  list (params) {
    return request({
      url: '/rank/rank_sequence/list',
      method: 'get',
      params: params
    })
  }
  getList (params) {
    return request({
      url: '/rank/rank_sequence/getList',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/rank/rank_sequence/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/rank/rank_sequence/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/rank/rank_sequence/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateSort (params) {
    return request({
      url: `/rank/rank_sequence/updateSort`,
      method: 'post',
      data: params
    })
  }
  queryAllFirm (params) {
    return request({
      url: '/rank/rank_sequence/queryAllFirm',
      method: 'get',
      params: params
    })
  }
}
